/*
 * pdf-presenter - advanced pdf presentation util
 *
 * Copyright (C) 2009 Sebastian Reichel <sre@ring0.de>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

using Gtk;

class ErrorDialog : Dialog {
	public ErrorDialog(string title, string message) {
		var label = new Label(message);
		var hbox = new HBox(false, 0);
		var img = new Image.from_stock(Stock.DIALOG_ERROR, IconSize.DIALOG);
		var content = this.get_content_area () as Gtk.Box;

		hbox.pack_start(img, false, true, 10);
		hbox.pack_start(label, false, true, 10);

		this.set_icon_name("gtk-dialog-error");
		this.title = title;
		content.pack_start(hbox, false, true, 10);
		this.add_button (Stock.CLOSE, ResponseType.CLOSE);
		this.destroy.connect(Gtk.main_quit);
		this.response.connect(Gtk.main_quit);
		this.show_all();
	}
}
